/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '~@plateg/theme/styles/plateg-variables.less';
.vote-form {
  .heading-holder {
    background: none;
    margin-bottom: 24px;
    padding: 0;
  }
  .white-holder {
    padding: 16px;
    background: #fff;
    display: block;
    margin-bottom: 24px;
    .date-time-holder {
      .ant-form-item {
        margin: 0;
        .ant-input-disabled {
          color: rgba(0, 0, 0, 0.6);
        }
      }
    }
  }
  .form-control-buttons > .ant-btn {
    margin-right: 24px;
  }
  #mail_body {
    white-space: pre-line;
    padding-left: 30px;
  }
  .with-custom-label {
    label:after {
      display: none !important;
    }
    .label-text {
      &:after {
        display: inline-block;
        font-size: 1.8rem;
        line-height: 1;
        content: '*';
      }
    }
  }
  .hint {
    font-weight: initial;
    padding-left: 5px;
  }
  #optionalTest label {
    margin-left: 0;
  }
  .earlyVoteBundeskanzleramt-section {
    margin-bottom: 20px;
    label strong {
      font-weight: 500;
    }
  }
  .ant-form-item-has-error {
    margin-bottom: 24px !important;
  }
  .internetIntranetSection {
    margin-bottom: 30px;
    margin-top: 30px;
    .ant-form-item {
      margin-bottom: 0;
    }
  }

  .warning-div {
    margin-bottom: 40px;
  }

  .radio-info-item-div {
    display: flex;
    align-items: center;
  }

  .horizontal-radios {
    position: relative;
    .ha-ended-info-div {
      margin-left: 28px;
      margin-top: 8px;
    }
    .ha-info-component {
      position: absolute;
      top: 3px;
      left: 178px;
    }
  }

  .form-item-vote-type {
    margin-top: 10px;
  }

  .switch-with-label {
    span,
    svg {
      margin-left: 8px;
      vertical-align: middle;
    }
  }
}
